API ReferenceRealtime
Get a Realtime profile
GET
/v1/realtime/profiles/{profile_id}Authorization
BearerAuth AuthorizationBearer <token>
Tenant key supplied as the Authorization Bearer token.
In: header
Path Parameters
profile_id*string
Realtime profile to use.
Response Body
application/json
application/json
application/json
application/json
const response = await fetch("https://api.allmodels.io/v1/realtime/profiles/$REALTIME_PROFILE_ID", { headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import osimport requestsresponse = requests.get( "https://api.allmodels.io/v1/realtime/profiles/$REALTIME_PROFILE_ID", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, timeout=30,)response.raise_for_status()print(response.json())curl https://api.allmodels.io/v1/realtime/profiles/$REALTIME_PROFILE_ID \ -H "Authorization: Bearer $ALLMODELS_API_KEY"{ "id": "string", "object": "realtime.profile", "type": "pipeline", "name": "string", "pipeline": { "property1": null, "property2": null }, "revision": 0, "property1": null, "property2": null}{ "error": "missing_api_key"}{ "error": { "type": "string", "code": "string", "message": "string", "property1": null, "property2": null }}{ "error": { "type": "string", "code": "string", "message": "string", "property1": null, "property2": null }}